@keyframes Grow0To4 {
    from {
        flex-grow: 0;
    }

    to {
        flex-grow: 4;
    }
}

@-o-keyframes Grow0To4 {
    from {
        flex-grow: 0;
    }

    to {
        flex-grow: 4;
    }
}

@-moz-keyframes Grow0To4 {
    from {
        flex-grow: 0;
    }

    to {
        flex-grow: 4;
    }
}

@-webkit-keyframes Grow0To4 {
    from {
        flex-grow: 0;
    }

    to {
        flex-grow: 4;
    }
}

@keyframes Grow4To0 {
    from {
        flex-grow: 4;
    }

    to {
        flex-grow: 0;
    }
}

@-o-keyframes Grow4To0 {
    from {
        flex-grow: 4;
    }

    to {
        flex-grow: 0;
    }
}

@-moz-keyframes Grow4To0 {
    from {
        flex-grow: 4;
    }

    to {
        flex-grow: 0;
    }
}

@-webkit-keyframes Grow4To0 {
    from {
        flex-grow: 4;
    }

    to {
        flex-grow: 0;
    }
}

@keyframes Grow0To6 {
    from {
        flex-grow: 0;
    }

    to {
        flex-grow: 6;
    }
}

@-o-keyframes Grow0To6 {
    from {
        flex-grow: 0;
    }

    to {
        flex-grow: 6;
    }
}

@-moz-keyframes Grow0To6 {
    from {
        flex-grow: 0;
    }

    to {
        flex-grow: 6;
    }
}

@-webkit-keyframes Grow0To6 {
    from {
        flex-grow: 0;
    }

    to {
        flex-grow: 6;
    }
}

@keyframes Grow6To0 {
    from {
        flex-grow: 6;
    }

    to {
        flex-grow: 0;
    }
}

@-o-keyframes Grow6To0 {
    from {
        flex-grow: 6;
    }

    to {
        flex-grow: 0;
    }
}

@-moz-keyframes Grow6To0 {
    from {
        flex-grow: 6;
    }

    to {
        flex-grow: 0;
    }
}

@-webkit-keyframes Grow6To0 {
    from {
        flex-grow: 6;
    }

    to {
        flex-grow: 0;
    }
}

@keyframes Grow0To8 {
    from {
        flex-grow: 0;
    }

    to {
        flex-grow: 8;
    }
}

@-o-keyframes Grow0To8 {
    from {
        flex-grow: 0;
    }

    to {
        flex-grow: 8;
    }
}

@-moz-keyframes Grow0To8 {
    from {
        flex-grow: 0;
    }

    to {
        flex-grow: 8;
    }
}

@-webkit-keyframes Grow0To8 {
    from {
        flex-grow: 0;
    }

    to {
        flex-grow: 8;
    }
}

@keyframes Grow8To0 {
    from {
        flex-grow: 8
    }

    to {
        flex-grow: 0;
    }
}

@-o-keyframes Grow8To0 {
    from {
        flex-grow: 8
    }

    to {
        flex-grow: 0;
    }
}

@-moz-keyframes Grow8To0 {
    from {
        flex-grow: 8
    }

    to {
        flex-grow: 0;
    }
}

@-webkit-keyframes Grow8To0 {
    from {
        flex-grow: 8
    }

    to {
        flex-grow: 0;
    }
}

.anim {
    &__grow {
        &--4-to-0 {
            animation: Grow4To0 0.75s ease-out 0s 1 forwards;
            -webkit-animation: Grow4To0 0.75s ease-out 0s 1 forwards;
            -moz-animation: Grow4To0 0.75s ease-out 0s 1 forwards;
            -o-animation: Grow4To0 0.75s ease-out 0s 1 forwards;
        }

        &--0-to-4 {
            animation: Grow0To4 0.75s ease-out 0s 1 forwards;
            -webkit-animation: Grow0To4 0.75s ease-out 0s 1 forwards;
            -moz-animation: Grow0To4 0.75s ease-out 0s 1 forwards;
            -o-animation: Grow0To4 0.75s ease-out 0s 1 forwards;
        }

        &--6-to-0 {
            animation: Grow6To0 0.75s ease-out 0s 1 forwards;
            -webkit-animation: Grow6To0 0.75s ease-out 0s 1 forwards;
            -moz-animation: Grow6To0 0.75s ease-out 0s 1 forwards;
            -o-animation: Grow6To0 0.75s ease-out 0s 1 forwards;
        }

        &--0-to-6 {
            animation: Grow0To6 0.75s ease-out 0s 1 forwards;
            -webkit-animation: Grow0To6 0.75s ease-out 0s 1 forwards;
            -moz-animation: Grow0To6 0.75s ease-out 0s 1 forwards;
            -o-animation: Grow0To6 0.75s ease-out 0s 1 forwards;
        }

        &--0-to-8 {
            animation: Grow0To8 0.75s ease-out 0s 1 forwards;
            -webkit-animation: Grow0To8 0.75s ease-out 0s 1 forwards;
            -moz-animation: Grow0To8 0.75s ease-out 0s 1 forwards;
            -o-animation: Grow0To8 0.75s ease-out 0s 1 forwards;
        }

        &--8-to-0 {
            animation: Grow8To0 0.75s ease-out 0s 1 forwards;
            -webkit-animation: Grow8To0 0.75s ease-out 0s 1 forwards;
            -moz-animation: Grow8To0 0.75s ease-out 0s 1 forwards;
            -o-animation: Grow8To0 0.75s ease-out 0s 1 forwards;
        }
    }
}